diff -ur mailman-2.1.3.orig/Mailman/Defaults.py.in mailman-2.1.3/Mailman/Defaults.py.in
--- mailman-2.1.3.orig/Mailman/Defaults.py.in	Mon Sep 22 00:26:14 2003
+++ mailman-2.1.3/Mailman/Defaults.py.in	Wed Oct 22 11:13:43 2003
@@ -54,7 +54,7 @@
 # disable Mailman's logo footer altogther, hack
 # Mailman/htmlformat.py:MailmanLogo(), which also contains the hardcoded links
 # and image names.
-IMAGE_LOGOS = '/icons/'
+IMAGE_LOGOS = '/img-sys/'
 
 # The name of the Mailman favicon
 SHORTCUT_ICON = 'mm-icon.png'
@@ -352,7 +352,7 @@
 # standard out (or send an email to the site list owner) for manual twiddling
 # of an /etc/aliases style file.  Use 'Postfix' if you are using the Postfix
 # MTA -- but then also see POSTFIX_STYLE_VIRTUAL_DOMAINS.
-MTA = 'Manual'
+MTA = None
 
 # If you set MTA='Postfix', then you also want to set the following variable,
 # depending on whether you're using virtual domains in Postfix, and which
@@ -406,7 +406,7 @@
 
 # Command for direct command pipe delivery to sendmail compatible program,
 # when DELIVERY_MODULE is 'Sendmail'.
-SENDMAIL_CMD = '/usr/lib/sendmail'
+SENDMAIL_CMD = '/usr/sbin/sendmail'
 
 # Set these variables if you need to authenticate to your NNTP server for
 # Usenet posting or reading.  If no authentication is necessary, specify None
diff -ur mailman-2.1.3.orig/Mailman/Gui/General.py mailman-2.1.3/Mailman/Gui/General.py
--- mailman-2.1.3.orig/Mailman/Gui/General.py	Wed Dec 11 07:41:56 2002
+++ mailman-2.1.3/Mailman/Gui/General.py	Wed Oct 22 11:13:43 2003
@@ -411,7 +411,7 @@
 
     def _setValue(self, mlist, property, val, doc):
         if property == 'real_name' and \
-               val.lower() <> mlist.internal_name().lower():
+               val.lower() <> mlist.real_name.lower():
             # These values can't differ by other than case
             doc.addError(_("""<b>real_name</b> attribute not
             changed!  It must differ from the list's name by case
diff -ur mailman-2.1.3.orig/Mailman/ListAdmin.py mailman-2.1.3/Mailman/ListAdmin.py
--- mailman-2.1.3.orig/Mailman/ListAdmin.py	Mon Mar 31 16:49:35 2003
+++ mailman-2.1.3/Mailman/ListAdmin.py	Wed Oct 22 11:17:41 2003
@@ -363,7 +363,7 @@
             note = '''%(listname)s: %(rejection)s posting:
 \tFrom: %(sender)s
 \tSubject: %(subject)s''' % {
-                'listname' : self.internal_name(),
+                'listname' : self.real_name,
                 'rejection': rejection,
                 'sender'   : sender.replace('%', '%%'),
                 'subject'  : subject.replace('%', '%%'),
@@ -415,7 +415,7 @@
             text = Utils.maketext(
                 'subauth.txt',
                 {'username'   : addr,
-                 'listname'   : self.internal_name(),
+                 'listname'   : self.real_name,
                  'hostname'   : self.host_name,
                  'admindb_url': self.GetScriptURL('admindb', absolute=1),
                  }, mlist=self)
@@ -468,7 +468,7 @@
             text = Utils.maketext(
                 'unsubauth.txt',
                 {'username'   : addr,
-                 'listname'   : self.internal_name(),
+                 'listname'   : self.real_name,
                  'hostname'   : self.host_name,
                  'admindb_url': self.GetScriptURL('admindb', absolute=1),
                  }, mlist=self)
diff -ur mailman-2.1.3.orig/Mailman/MailList.py mailman-2.1.3/Mailman/MailList.py
--- mailman-2.1.3.orig/Mailman/MailList.py	Sun Sep 28 12:03:34 2003
+++ mailman-2.1.3/Mailman/MailList.py	Wed Oct 22 11:13:43 2003
@@ -184,8 +184,8 @@
 
     def getListAddress(self, extra=None):
         if extra is None:
-            return '%s@%s' % (self.internal_name(), self.host_name)
-        return '%s-%s@%s' % (self.internal_name(), extra, self.host_name)
+            return '%s@%s' % (self.real_name, self.host_name)
+        return '%s-%s@%s' % (self.real_name, extra, self.host_name)
 
     # For backwards compatibility
     def GetBouncesEmail(self):
@@ -1211,7 +1211,10 @@
         to or cc addrs."""
         # BAW: fall back to Utils.ParseAddr if the first test fails.
         # this is the list's full address
-        listfullname = '%s@%s' % (self.internal_name(), self.host_name)
+        listfullname = self.internal_name()
+        listfullname = listfullname.replace('_', '@')
+        listrealname = self.real_name
+        listrealname = listrealname.lower()
         recips = []
         # check all recipient addresses against the list's explicit addresses,
         # specifically To: Cc: and Resent-to:
@@ -1227,7 +1230,7 @@
             addr = addr.lower()
             localpart = addr.split('@')[0]
             if (# TBD: backwards compatibility: deprecated
-                    localpart == self.internal_name() or
+                    localpart == listrealname or
                     # exact match against the complete list address
                     addr == listfullname):
                 return 1
diff -ur mailman-2.1.3.orig/cron/crontab.in.in mailman-2.1.3/cron/crontab.in.in
--- mailman-2.1.3.orig/cron/crontab.in.in	Sun Jan  6 01:28:12 2002
+++ mailman-2.1.3/cron/crontab.in.in	Wed Oct 22 11:13:43 2003
@@ -1,3 +1,4 @@
+MAILTO=postmaster
 # At 8AM every day, mail reminders to admins as to pending requests.
 # They are less likely to ignore these reminders if they're mailed
 # early in the morning, but of course, this is local time... ;)
@@ -16,7 +17,7 @@
 # Every 5 mins, try to gate news to mail.  You can comment this one out
 # if you don't want to allow gating, or don't have any going on right now,
 # or want to exclusively use a callback strategy instead of polling.
-0,5,10,15,20,25,30,35,40,45,50,55 * * * * @PYTHON@ -S @prefix@/cron/gate_news
+#0,5,10,15,20,25,30,35,40,45,50,55 * * * * @PYTHON@ -S @prefix@/cron/gate_news
 #
 # At 3:27am every night, regenerate the gzip'd archive file.  Only
 # turn this on if the internal archiver is used and
